## org.apache.mahout.cf.taste.impl.recommender
Class AllUnknownItemsCandidateItemsStrategy

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.AbstractCandidateItemsStrategy
          org.apache.mahout.cf.taste.impl.recommender.AllUnknownItemsCandidateItemsStrategy

All Implemented Interfaces:
  Refreshable, CandidateItemsStrategy, MostSimilarItemsCandidateItemsStrategy

    public final class AllUnknownItemsCandidateItemsStrategy

extends AbstractCandidateItemsStrategy

Constructor Summary
`AllUnknownItemsCandidateItemsStrategy()`

Method Summary
`protected FastIDSet` `doGetCandidateItems(long[] preferredItemIDs, DataModel dataModel)` return all items the user has not yet seen

Methods inherited from class org.apache.mahout.cf.taste.impl.recommender.AbstractCandidateItemsStrategy
`getCandidateItems, getCandidateItems, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllUnknownItemsCandidateItemsStrategy

    public AllUnknownItemsCandidateItemsStrategy()

Method Detail

### doGetCandidateItems

    protected FastIDSet doGetCandidateItems(long[] preferredItemIDs,
                                            DataModel dataModel)
                                     throws TasteException

  return all items the user has not yet seen

  Specified by:
    `doGetCandidateItems` in class `AbstractCandidateItemsStrategy`
  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.